Linux anchor 4.4.0-210-generic #242-Ubuntu SMP Fri Apr 16 09:57:56 UTC 2021 x86_64
Apache/2.4.18 (Ubuntu)
Server IP : 10.10.100.4 & Your IP : 216.73.217.150
Domains :
Cant Read [ /etc/named.conf ]
User : www-data
Terminal
Auto Root
Create File
Create Folder
Localroot Suggester
Backdoor Destroyer
Readme
/
etc /
rc3.d /
Delete
Unzip
Name
Size
Permission
Date
Action
K01apache-htcacheclean
2.16
KB
-rwxr-xr-x
2016-04-05 23:15
README
677
B
-rw-r--r--
2016-02-05 10:48
S01apport
2.85
KB
-rwxr-xr-x
2025-07-11 17:07
S01lvm2-lvmetad
571
B
-rwxr-xr-x
2015-10-30 18:33
S01lvm2-lvmpolld
586
B
-rwxr-xr-x
2015-10-30 18:33
S01lxcfs
2.32
KB
-rwxr-xr-x
2017-11-09 02:43
S01lxd
2.48
KB
-rwxr-xr-x
2016-10-13 16:04
S01open-vm-tools
1.8
KB
-rwxr-xr-x
2018-03-22 13:13
S01rsyslog
2.73
KB
-rwxr-xr-x
2016-02-03 11:54
S01unattended-upgrades
1.36
KB
-rwxr-xr-x
2017-04-20 17:16
S01unscd
3.58
KB
-rwxr-xr-x
2015-12-03 19:28
S01uuidd
1.28
KB
-rwxr-xr-x
2016-05-27 01:30
S02apache2
7.9
KB
-rwxr-xr-x
2016-04-05 23:15
S03openvpn
10
KB
-rwxr-xr-x
2016-01-21 12:16
S04acpid
2.19
KB
-rwxr-xr-x
2016-02-09 23:43
S04atd
1.05
KB
-rwxr-xr-x
2015-12-06 16:45
S04cron
2.98
KB
-rwxr-xr-x
2016-04-05 23:59
S04dbus
2.75
KB
-rwxr-xr-x
2015-12-02 05:42
S04irqbalance
2.32
KB
-rwxr-xr-x
2016-04-11 19:39
S04mdadm
2.31
KB
-rwxr-xr-x
2017-10-09 15:47
S04mysql
5.48
KB
-rwxr-xr-x
2016-07-11 15:36
S04ntp
1.52
KB
-rwxr-xr-x
2017-09-05 17:24
S04rsync
4.25
KB
-rwxr-xr-x
2014-07-10 13:41
S04ssh
3.98
KB
-rwxr-xr-x
2016-04-28 02:46
S04thermald
1.13
KB
-rwxr-xr-x
2016-01-29 10:57
S05dovecot
5.12
KB
-rwxr-xr-x
2016-03-19 00:29
S06postfix
7.79
KB
-rwxr-xr-x
2017-10-25 14:50
S07grub-common
1.08
KB
-rwxr-xr-x
2016-03-15 19:08
S07ondemand
1.54
KB
-rwxr-xr-x
2015-10-16 04:45
S07plymouth
1.33
KB
-rwxr-xr-x
2015-11-15 13:55
S07rc.local
820
B
-rwxr-xr-x
2016-01-19 19:33
Save
Rename
#! /bin/sh ### BEGIN INIT INFO # Provides: dovecot # Required-Start: $local_fs $remote_fs $network $syslog $time # Required-Stop: $local_fs $remote_fs $network $syslog # Should-Start: postgresql mysql slapd winbind nslcd # Should-Stop: postgresql mysql slapd winbind nslcd # Default-Start: 2 3 4 5 # Default-Stop: 0 1 6 # Short-Description: Dovecot init script # Description: Init script for dovecot services ### END INIT INFO # Author: Miquel van Smoorenburg <miquels@cistron.nl>. # Modified for Debian GNU/Linux # by Ian Murdock <imurdock@gnu.ai.mit.edu>. # # Do NOT "set -e" # PATH should only include /usr/* if it runs after the mountnfs.sh script PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin DESC="IMAP/POP3 mail server" NAME=dovecot DAEMON=/usr/sbin/dovecot DAEMON_ARGS="" SCRIPTNAME=/etc/init.d/$NAME CONF=/etc/dovecot/${NAME}.conf # Read configuration variable file if it is present [ -r /etc/default/$NAME ] && . /etc/default/$NAME # Exit if the package is not installed [ -x "$DAEMON" ] || exit 0 # Exit if the configuration file doesn't exist [ -f "$CONF" ] || exit 0 # Exit if explicitly told to [ "$ENABLED" != "0" ] || exit 0 # Allow core dumps if requested [ "$ALLOW_COREDUMPS" != "1" ] || ulimit -c unlimited # Define LSB log_* functions. # Depend on lsb-base (>= 3.0-6) to ensure that this file is present. . /lib/lsb/init-functions # conf file readable? if [ ! -r ${CONF} ]; then log_daemon_msg "${CONF}: not readable" "$NAME" && log_end_msg 1; exit 1; fi # dont check for inetd.conf if its not installed if [ -f /etc/inetd.conf ]; then # The init script should do nothing if dovecot or another imap/pop3 server # is being run from inetd, and dovecot is configured to run as an imap or # pop3 service for p in `sed -r "s/^ *(([^:]+|\[[^]]+]|\*):)?(pop3s?|imaps?)[ \t].*/\3/;t;d" \ /etc/inetd.conf` do for q in `doveconf -n -h protocols` do if [ $p = $q ]; then log_daemon_msg "protocol ${p} configured both in inetd and in dovecot" "$NAME" && log_end_msg 1 exit 0 fi done done fi # determine the location of the PID file # overide by setting base_dir in conf file or PIDBASE in /etc/defaults/$NAME PIDBASE=${PIDBASE:-`doveconf -n -c ${CONF} -h base_dir`} PIDFILE=${PIDBASE:-/var/run/dovecot}/master.pid # # Function that starts the daemon/service # do_start() { # Return # 0 if daemon has been started # 1 if daemon was already running # 2 if daemon could not be started start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON --test -- -c ${CONF} > /dev/null \ || return 1 start-stop-daemon --start --quiet --pidfile $PIDFILE --exec $DAEMON -- -c ${CONF} \ $DAEMON_ARGS \ || return 2 } # # Function that stops the daemon/service # do_stop() { # Return # 0 if daemon has been stopped # 1 if daemon was already stopped # 2 if daemon could not be stopped # other if a failure occurred start-stop-daemon --stop --quiet --retry=TERM/30/KILL/5 --pidfile $PIDFILE --name ${DAEMON##*/} RETVAL="$?" [ "$RETVAL" = 2 ] && return 2 # Wait for children to finish too if this is a daemon that forks # and if the daemon is only ever run from this initscript. # If the above conditions are not satisfied then add some other code # that waits for the process to drop all resources that could be # needed by services started subsequently. A last resort is to # sleep for some time. start-stop-daemon --stop --quiet --oknodo --retry=0/30/KILL/5 --pidfile $PIDFILE --name ${DAEMON##*/} [ "$?" = 2 ] && return 2 # Many daemons don't delete their pidfiles when they exit. rm -f $PIDFILE return "$RETVAL" } # # Function that sends a SIGHUP to the daemon/service # do_reload() { # # If the daemon can reload its configuration without # restarting (for example, when it is sent a SIGHUP), # then implement that here. # start-stop-daemon --stop --signal HUP --quiet --pidfile $PIDFILE --name $NAME return 0 } case "$1" in start) log_daemon_msg "Starting $DESC" "$NAME" do_start case "$?" in 0|1) log_end_msg 0 ;; 2) log_end_msg 1 ;; esac ;; stop) log_daemon_msg "Stopping $DESC" "$NAME" do_stop case "$?" in 0|1) log_end_msg 0 ;; 2) log_end_msg 1 ;; esac ;; reload|force-reload) log_daemon_msg "Reloading $DESC" "$NAME" do_reload log_end_msg $? ;; restart) # # If the "reload" option is implemented then remove the # 'force-reload' alias # log_daemon_msg "Restarting $DESC" "$NAME" do_stop case "$?" in 0|1) do_start case "$?" in 0) log_end_msg 0 ;; 1) log_end_msg 1 ;; # Old process is still running *) log_end_msg 1 ;; # Failed to start esac ;; *) # Failed to stop log_end_msg 1 ;; esac ;; status) status_of_proc -p $PIDFILE $DAEMON $NAME && exit 0 || exit $? ;; *) echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload|status}" >&2 exit 3 ;; esac